## pysoundfile 0.8.1

=== doc/requirements.txt ===
Jinja2
Pygments
Sphinx>=1.3

## pysoundfile 0.7.0

=== debian/changelog ===
pysoundfile (0.7.0-2) unstable; urgency=medium

  * Build python2 module in addition to python3
  * Build-Depend on dh-python
  * Moved packages to section: python
  * Use architecture: all
  * Regenerated debian/control
  * debian/rules
    * Removed unused cdbs-snippets
    * Proper cleanup after build

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 18 Jun 2015 21:06:54 +0200

pysoundfile (0.7.0-1) unstable; urgency=low

  * Initial release (Closes: #783467)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 30 Apr 2015 16:11:05 +0200

=== debian/control ===
Source: pysoundfile
Section: python
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Alessio Treglia <alessio@debian.org>
Build-Depends: cdbs (>= 0.4.93~),
 debhelper (>= 9~),
 dh-buildinfo,
 python-all (>= 2.6.6-3~),
 python-setuptools,
 python3-all,
 python3-setuptools,
 dh-python,
 devscripts,
Standards-Version: 3.9.6
Homepage: https://github.com/bastibe/PySoundFile
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/pysoundfile.git
Vcs-Browser: http://anonscm.debian.org/?p=pkg-multimedia/pysoundfile.git;a=summary

Package: python3-soundfile
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends},
 libsndfile1
Description: Python 3 audio module based on libsndfile and NumPy
 PySoundFile can read and write sound files in a variety of formats and eases
 the application of signal processing algorithms.
 File reading/writing is supported through libsndfile. PySoundFile represents
 audio data as NumPy arrays.
 .
 Full documentation is available on http://pysoundfile.readthedocs.org/.
 .
 This package provides the Python 3.x module.

Package: python-soundfile
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
 libsndfile1
Description: Python audio module based on libsndfile and NumPy
 PySoundFile can read and write sound files in a variety of formats and eases
 the application of signal processing algorithms.
 File reading/writing is supported through libsndfile. PySoundFile represents
 audio data as NumPy arrays.
 .
 Full documentation is available on http://pysoundfile.readthedocs.org/.
 .
 This package provides the Python 2.x module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

include /usr/share/cdbs/1/rules/utils.mk

clean::
	rm -rf PySoundFile.egg-info/

## pysoundfile 0.8.1

=== debian/changelog ===
pysoundfile (0.8.1-1) unstable; urgency=medium

  * Imported Upstream version 0.8.1

  [ IOhannes m zmölnig ]
  * Recommend python*-numpy instead of Depend
  * Reflect internal rename to SoundFile
  * Update Vcs-Browser stanza
  * Added debian/git-tuneclone.sh script
  * Regenerated debian/(copyright_hints|control)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 10 Nov 2015 16:45:17 +0100

pysoundfile (0.7.0-3) unstable; urgency=medium

  * Fixed Vcs-Browser stanza.
  * Regenerated debaian/{control|copyright_hints}

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 26 Aug 2015 13:37:52 +0200

=== debian/control ===
Source: pysoundfile
Section: python
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Alessio Treglia <alessio@debian.org>
Build-Depends: cdbs (>= 0.4.93~),
 debhelper (>= 9~),
 dh-buildinfo,
 python-all (>= 2.6.6-3~),
 python3-all,
 devscripts,
 dh-python,
 python-setuptools,
 python3-setuptools
Standards-Version: 3.9.6
Homepage: https://github.com/bastibe/PySoundFile
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/pysoundfile.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/pysoundfile.git

Package: python3-soundfile
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends},
 libsndfile1
Recommends: ${shlibs:Recommends}, ${misc:Recommends}, ${python3:Recommends},
 python3-numpy
Description: Python 3 audio module based on libsndfile
 PySoundFile can read and write sound files in a variety of formats and eases
 the application of signal processing algorithms.
 File reading/writing is supported through libsndfile.
 By default, PySoundFile represents audio data as NumPy arrays, but ordinary
 Python buffers are supported as well.
 .
 Full documentation is available on http://pysoundfile.readthedocs.org/.
 .
 This package provides the Python 3.x module.

Package: python-soundfile
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
 libsndfile1
Recommends: ${shlibs:Recommends}, ${misc:Recommends}, ${python:Recommends},
 python-numpy
Description: Python audio module based on libsndfile and NumPy
 PySoundFile can read and write sound files in a variety of formats and eases
 the application of signal processing algorithms.
 File reading/writing is supported through libsndfile.
 By default, PySoundFile represents audio data as NumPy arrays, but ordinary
 Python buffers are supported as well.
 .
 Full documentation is available on http://pysoundfile.readthedocs.org/.
 .
 This package provides the Python 2.x module.

=== debian/rules ===
--- 
+++ 
@@ -6,4 +6,4 @@
 include /usr/share/cdbs/1/rules/utils.mk
 
 clean::
-	rm -rf PySoundFile.egg-info/
+	rm -rf SoundFile.egg-info/

=== debian/watch ===
# process this file with uscan(1)
version=3
opts=dversionmangle=s/~dfsg(\.[0-9]*)?$//,filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/PySoundFile-$1\.tar\.gz/ \
  https://github.com/bastibe/PySoundFile/tags .*/v?(\d\S*)\.tar\.gz

## pysoundfile 0.9.0

=== debian/changelog ===
pysoundfile (0.9.0-1) unstable; urgency=medium

  * New upstream version 0.9.0

  * Refreshed d/copyright_hints
  * Removed d/control.in
  * Bumped standards version to 4.0.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 19 Jun 2017 12:59:55 +0200

pysoundfile (0.8.1-2) unstable; urgency=medium

  * d/README.source
    * Note on how to properly clone the packaging repo
  * d/control(,.in)
    * Updated Vcs-* stanzas to canonical https://
    * One line per multi-value field
    * Bumped standards-version to 3.9.8

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 30 Nov 2016 23:52:57 +0100

=== debian/control ===
Source: pysoundfile
Section: python
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Alessio Treglia <alessio@debian.org>,
Build-Depends: cdbs (>= 0.4.93~),
 debhelper,
 dh-buildinfo,
 python,
 python3,
 licensecheck,
 dh-python,
 python-setuptools,
 python3-setuptools,
Standards-Version: 4.0.0
Homepage: https://github.com/bastibe/PySoundFile
Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/pysoundfile.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-multimedia/pysoundfile.git

Package: python3-soundfile
Architecture: all
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 ${python3:Depends},
 libsndfile1,
Recommends:
 ${shlibs:Recommends},
 ${misc:Recommends},
 ${python3:Recommends},
 python3-numpy,
Description: Python 3 audio module based on libsndfile
 PySoundFile can read and write sound files in a variety of formats and eases
 the application of signal processing algorithms.
 File reading/writing is supported through libsndfile.
 By default, PySoundFile represents audio data as NumPy arrays, but ordinary
 Python buffers are supported as well.
 .
 Full documentation is available on http://pysoundfile.readthedocs.org/.
 .
 This package provides the Python 3.x module.

Package: python-soundfile
Architecture: all
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 ${python:Depends},
 libsndfile1,
Recommends:
 ${shlibs:Recommends},
 ${misc:Recommends},
 ${python:Recommends},
 python-numpy,
Description: Python audio module based on libsndfile and NumPy
 PySoundFile can read and write sound files in a variety of formats and eases
 the application of signal processing algorithms.
 File reading/writing is supported through libsndfile.
 By default, PySoundFile represents audio data as NumPy arrays, but ordinary
 Python buffers are supported as well.
 .
 Full documentation is available on http://pysoundfile.readthedocs.org/.
 .
 This package provides the Python 2.x module.

## pysoundfile 0.10.0

=== debian/changelog ===
pysoundfile (0.10.0-1) unstable; urgency=medium

  * New upstream version 0.10.0
    * Removed leftovers from upstream repo

  * Build documentation as python-soundfile-doc package
  * Added B-Ds for running the test-suite
  * Switched build-system to dh
    * Added licensecheck target
    * Dropped B-D on cdbs
  * Refreshed d/copyright(_hints)
  * Bumped standards version to 4.1.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 23 Nov 2017 13:47:48 +0100

=== debian/control ===
--- 
+++ 
@@ -5,16 +5,19 @@
 Uploaders:
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
  Alessio Treglia <alessio@debian.org>,
-Build-Depends: cdbs (>= 0.4.93~),
+Build-Depends:
  debhelper,
+ licensecheck,
  dh-buildinfo,
- python,
- python3,
- licensecheck,
  dh-python,
- python-setuptools,
- python3-setuptools,
-Standards-Version: 4.0.0
+ python, python3,
+ python-setuptools, python3-setuptools,
+ python-cffi, python3-cffi,
+ python-pytest, python3-pytest,
+ python-numpy, python3-numpy,
+ libsndfile1,
+ python3-sphinx, python3-sphinx-rtd-theme,
+Standards-Version: 4.1.1
 Homepage: https://github.com/bastibe/PySoundFile
 Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/pysoundfile.git
 Vcs-Browser: https://anonscm.debian.org/git/pkg-multimedia/pysoundfile.git
@@ -38,9 +41,25 @@
  By default, PySoundFile represents audio data as NumPy arrays, but ordinary
  Python buffers are supported as well.
  .
- Full documentation is available on http://pysoundfile.readthedocs.org/.
+ This package provides the Python 3.x module.
+
+Package: python-soundfile-doc
+Section: doc
+Architecture: all
+Depends:
+ ${misc:Depends},
+ ${sphinxdoc:Depends},
+ libjs-mathjax,
+Built-Using:
+ ${sphinxdoc:Built-Using},
+Description: Python audio module based on libsndfile - documentation
+ PySoundFile can read and write sound files in a variety of formats and eases
+ the application of signal processing algorithms.
+ File reading/writing is supported through libsndfile.
+ By default, PySoundFile represents audio data as NumPy arrays, but ordinary
+ Python buffers are supported as well.
  .
- This package provides the Python 3.x module.
+ This package provides the API documentation.
 
 Package: python-soundfile
 Architecture: all
@@ -61,6 +80,4 @@
  By default, PySoundFile represents audio data as NumPy arrays, but ordinary
  Python buffers are supported as well.
  .
- Full documentation is available on http://pysoundfile.readthedocs.org/.
- .
  This package provides the Python 2.x module.

## pysoundfile 0.10.1

=== debian/changelog ===
pysoundfile (0.10.1-3) unstable; urgency=medium

  * Add patch for Python3.7 compat (Closes: #915284)
  * Declare that building this package does not require "root"
  * Bump dh compat to 11
  * Bump standards version to 4.2.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 02 Dec 2018 16:43:21 +0100

pysoundfile (0.10.1-2) unstable; urgency=medium

  * Added generic python smoketest for DebCI
  * Bumped standards version to 4.1.4

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 18 Apr 2018 23:12:15 +0200

pysoundfile (0.10.1-1) unstable; urgency=medium

  * New upstream version 0.10.1

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org

  [ IOhannes m zmölnig ]
  * Dropped B-D on "licensecheck"
  * Updated maintainer email address
  * Dropped .git* files from upstream tarball
  * Updated d/copyright(_hints)?
  * Bumped standards version to 4.1.3

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 04 Mar 2018 22:37:51 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: pysoundfile
 Section: python
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
  Alessio Treglia <alessio@debian.org>,
 Build-Depends:
- debhelper,
- licensecheck,
+ debhelper (>= 11~),
  dh-buildinfo,
  dh-python,
  python, python3,
@@ -17,10 +16,12 @@
  python-numpy, python3-numpy,
  libsndfile1,
  python3-sphinx, python3-sphinx-rtd-theme,
-Standards-Version: 4.1.1
+Testsuite: autopkgtest-pkg-python
+Standards-Version: 4.2.1
+Rules-Requires-Root: no
 Homepage: https://github.com/bastibe/PySoundFile
-Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/pysoundfile.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-multimedia/pysoundfile.git
+Vcs-Git: https://salsa.debian.org/multimedia-team/pysoundfile.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/pysoundfile
 
 Package: python3-soundfile
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME=soundfile

%:
	dh $@ --buildsystem=pybuild --with python2,python3,sphinxdoc

override_dh_auto_build:
	dh_auto_build
	make -C doc html

override_dh_clean:
	dh_clean
	rm -f _soundfile.py
	rm -rf SoundFile.egg-info/ doc/_build/

licensecheck:
	licensecheck --deb-machine -r * > debian/copyright_newhints
	cmp debian/copyright_hints debian/copyright_newhints && rm debian/copyright_newhints

## pysoundfile 0.10.3%2Bpost1

=== doc/requirements.txt ===
Jinja2
Pygments
Sphinx>=1.3
sphinx_rtd_theme

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 export PYBUILD_NAME=soundfile
 
 %:
-	dh $@ --buildsystem=pybuild --with python2,python3,sphinxdoc
+	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
 
 override_dh_auto_build:
 	dh_auto_build

## pysoundfile 0.10.3+post1

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/PySoundFile.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/PySoundFile.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/PySoundFile"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/PySoundFile"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
pysoundfile (0.10.3+post1-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.

  [ Dennis Braun ]
  * Set upstream metadata fields: Repository

  [ IOhannes m zmölnig ]
  * Add patch to cleanup pytests
  * Run pytests verbosely
  * Modernize d/watch
  * Bump standards version to 4.6.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 19 Aug 2022 10:59:56 +0200

pysoundfile (0.10.3+post1-2~exp1) experimental; urgency=medium

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Update d/watch to point to renamed upstream repository
  * Add salsa-ci configuration
  * Regenerate d/copyright_hints
  * Bump standards version to 4.6.0

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 19 Apr 2022 12:02:40 +0200

pysoundfile (0.10.3+post1-1.1) unstable; urgency=medium

  * Team upload.
  * No change rebuild to drop ancient sphinx in Built-Using field.

 -- Boyuan Yang <byang@debian.org>  Fri, 10 Jun 2022 21:04:12 -0400

pysoundfile (0.10.3+post1-1) unstable; urgency=medium

  * New upstream version 0.10.3+post1
  [ IOhannes m zmölnig ]
  * Drop patches applied upstream
  * Update d/watch to handle "post" suffix
  * Refresh d/copyright_hints

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 08 Jan 2020 11:32:36 +0100

pysoundfile (0.10.1-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ IOhannes m zmölnig ]
  * Drop "python-soundfile" as part of the Python2 removal in bullseye
  * Bump dh-compat to 12
  * Bump standards-version to 4.4.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 04 Sep 2019 15:05:12 +0200

=== debian/control ===
--- 
+++ 
@@ -6,18 +6,18 @@
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
  Alessio Treglia <alessio@debian.org>,
 Build-Depends:
- debhelper (>= 11~),
+ debhelper-compat (= 13),
  dh-buildinfo,
  dh-python,
- python, python3,
- python-setuptools, python3-setuptools,
- python-cffi, python3-cffi,
- python-pytest, python3-pytest,
- python-numpy, python3-numpy,
+ python3,
+ python3-setuptools,
+ python3-cffi,
+ python3-pytest,
+ python3-numpy,
  libsndfile1,
  python3-sphinx, python3-sphinx-rtd-theme,
 Testsuite: autopkgtest-pkg-python
-Standards-Version: 4.2.1
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/bastibe/PySoundFile
 Vcs-Git: https://salsa.debian.org/multimedia-team/pysoundfile.git
@@ -61,24 +61,3 @@
  Python buffers are supported as well.
  .
  This package provides the API documentation.
-
-Package: python-soundfile
-Architecture: all
-Depends:
- ${shlibs:Depends},
- ${misc:Depends},
- ${python:Depends},
- libsndfile1,
-Recommends:
- ${shlibs:Recommends},
- ${misc:Recommends},
- ${python:Recommends},
- python-numpy,
-Description: Python audio module based on libsndfile and NumPy
- PySoundFile can read and write sound files in a variety of formats and eases
- the application of signal processing algorithms.
- File reading/writing is supported through libsndfile.
- By default, PySoundFile represents audio data as NumPy arrays, but ordinary
- Python buffers are supported as well.
- .
- This package provides the Python 2.x module.

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,9 @@
 	dh_auto_build
 	make -C doc html
 
+override_dh_auto_test:
+	dh_auto_test -O--buildsystem=pybuild -- --verbose
+
 override_dh_clean:
 	dh_clean
 	rm -f _soundfile.py

## pysoundfile 0.12.1

=== doc/Makefile ===
--- 
+++ 
@@ -85,17 +85,17 @@
 	@echo
 	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
 	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
-	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/PySoundFile.qhcp"
+	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/python-soundfile.qhcp"
 	@echo "To view the help file:"
-	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/PySoundFile.qhc"
+	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/python-soundfile.qhc"
 
 devhelp:
 	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
 	@echo
 	@echo "Build finished."
 	@echo "To view the help file:"
-	@echo "# mkdir -p $$HOME/.local/share/devhelp/PySoundFile"
-	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/PySoundFile"
+	@echo "# mkdir -p $$HOME/.local/share/devhelp/python-soundfile"
+	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/python-soundfile"
 	@echo "# devhelp"
 
 epub:

=== debian/changelog ===
pysoundfile (0.12.1-1) unstable; urgency=medium

  * New upstream version 0.12.1
  * Ensure that 'licensecheck' is run with the C.UTF-8 locale
  * Bump standards version to 4.6.2

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 20 Feb 2023 14:05:01 +0100

pysoundfile (0.11.0-2) unstable; urgency=medium

  [ IOhannes m zmölnig ]
  * Drop skip-overflow-patch (it was really a bug in libsndfile)
  * salsa-ci: skip 'kernel'-reprotest
  * Modernize 'licensecheck' target
    + Re-generate d/copyright_hints

  [ Debian Janitor ]
  * Apply multi-arch hints. + python-soundfile-doc: Add Multi-Arch: foreign.

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 05 Dec 2022 12:36:47 +0100

pysoundfile (0.11.0-1) unstable; urgency=medium

  * New upstream version 0.11.0
    * Drop patches applied upstream.
  * Add patch to close privacy-breach in documentation
  * Skip overzealous test that failed on 32bit architectures
  * B-d on dh-sequence-* instead of using "dh --width ..."
  * Use "execute_after_dh_*" instead of "override_dh_*"
  * Drop override_dh_clean in favour of d/clean
  * Update d/copyright
    * Bump dates in d/copyright
    * Regenerate d/copyright_hints
  * Apply 'wrap-and-sort -ast'

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 05 Oct 2022 11:32:19 +0200

=== debian/control ===
--- 
+++ 
@@ -8,16 +8,18 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-buildinfo,
- dh-python,
+ dh-sequence-python3,
+ dh-sequence-sphinxdoc,
+ libsndfile1,
  python3,
+ python3-cffi,
+ python3-numpy,
+ python3-pytest,
  python3-setuptools,
- python3-cffi,
- python3-pytest,
- python3-numpy,
- libsndfile1,
- python3-sphinx, python3-sphinx-rtd-theme,
+ python3-sphinx,
+ python3-sphinx-rtd-theme,
 Testsuite: autopkgtest-pkg-python
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/bastibe/PySoundFile
 Vcs-Git: https://salsa.debian.org/multimedia-team/pysoundfile.git
@@ -26,15 +28,15 @@
 Package: python3-soundfile
 Architecture: all
 Depends:
- ${shlibs:Depends},
+ libsndfile1,
  ${misc:Depends},
  ${python3:Depends},
- libsndfile1,
+ ${shlibs:Depends},
 Recommends:
- ${shlibs:Recommends},
+ python3-numpy,
  ${misc:Recommends},
  ${python3:Recommends},
- python3-numpy,
+ ${shlibs:Recommends},
 Description: Python 3 audio module based on libsndfile
  PySoundFile can read and write sound files in a variety of formats and eases
  the application of signal processing algorithms.
@@ -48,11 +50,12 @@
 Section: doc
 Architecture: all
 Depends:
+ libjs-mathjax,
  ${misc:Depends},
  ${sphinxdoc:Depends},
- libjs-mathjax,
 Built-Using:
  ${sphinxdoc:Built-Using},
+Multi-Arch: foreign
 Description: Python audio module based on libsndfile - documentation
  PySoundFile can read and write sound files in a variety of formats and eases
  the application of signal processing algorithms.

=== debian/watch ===
# process this file with uscan(1)
version=4
opts=uversionmangle=s/(post[0-9]*)/+$1/;s/([ab][0-9]*)/~$1/,\
     dversionmangle=auto \
  https://github.com/bastibe/SoundFile/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@

## pysoundfile 0.13.0

=== debian/changelog ===
pysoundfile (0.13.0-1) unstable; urgency=medium

  * New upstream version 0.13.0
  * Explicitly depend on 'python3-cffi'
  * Run upstream testsuite in autopkgtests
  * Reflect internal rename to 'python-soundfile'
  * Bump copyright dates
  * Bump standards version to 4.7.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sat, 11 Jan 2025 00:33:09 +0100

=== debian/tests/control ===
Test-Command: py.test-3
Features:
 test-name=upstream-testsuite,
Depends:
 python3-pytest,
 @,

## pysoundfile 0.13.1

=== debian/changelog ===
pysoundfile (0.13.1-3) unstable; urgency=medium

  * Team Upload
  * Remove obsolete dh-buildinfo build dependency
  * Bump standards version to 4.7.2

 -- Alexandre Detiste <tchet@debian.org>  Sun, 19 Oct 2025 02:15:08 +0200

pysoundfile (0.13.1-2) unstable; urgency=medium

  * Explicitly skip autopkgtest on s390x

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 20 Feb 2025 23:33:51 +0100

pysoundfile (0.13.1-1) unstable; urgency=medium

  * New upstream version 0.13.1
  * For now, only run autopkgtests on little-endian

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 09 Feb 2025 20:12:00 +0100

=== debian/control ===
Source: pysoundfile
Section: python
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Alessio Treglia <alessio@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 dh-sequence-sphinxdoc,
 libsndfile1,
 python3,
 python3-cffi,
 python3-numpy,
 python3-pytest,
 python3-setuptools,
 python3-sphinx,
 python3-sphinx-rtd-theme,
Testsuite: autopkgtest-pkg-python
Standards-Version: 4.7.2
Homepage: https://github.com/bastibe/python-soundfile
Vcs-Git: https://salsa.debian.org/multimedia-team/pysoundfile.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/pysoundfile

Package: python3-soundfile
Architecture: all
Depends:
 libsndfile1,
 python3-cffi,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Recommends:
 python3-numpy,
 ${misc:Recommends},
 ${python3:Recommends},
 ${shlibs:Recommends},
Description: Python 3 audio module based on libsndfile
 'soundfile' can read and write sound files in a variety of formats and eases
 the application of signal processing algorithms.
 File reading/writing is supported through libsndfile.
 By default, 'soundfile' represents audio data as NumPy arrays, but ordinary
 Python buffers are supported as well.
 .
 This package provides the Python 3.x module.

Package: python-soundfile-doc
Section: doc
Architecture: all
Depends:
 libjs-mathjax,
 ${misc:Depends},
 ${sphinxdoc:Depends},
Built-Using:
 ${sphinxdoc:Built-Using},
Multi-Arch: foreign
Description: Python audio module based on libsndfile - documentation
 'soundfile' can read and write sound files in a variety of formats and eases
 the application of signal processing algorithms.
 File reading/writing is supported through libsndfile.
 By default, 'soundfile' represents audio data as NumPy arrays, but ordinary
 Python buffers are supported as well.
 .
 This package provides the API documentation.

=== debian/tests/control ===
Test-Command: py.test-3
Features:
 test-name=upstream-testsuite,
Architecture: !s390x
Depends:
 architecture-is-little-endian,
 python3-pytest,
 @,

=== debian/watch ===
# process this file with uscan(1)
version=4
opts=uversionmangle=s/(post[0-9]*)/+$1/;s/([ab][0-9]*)/~$1/,\
     dversionmangle=auto \
  https://github.com/bastibe/python-soundfile/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@
